Aggregate records by ObjectType. Supports sum/avg/min/max/count on JSONB fields, group_by, time bucketing (day/week/month/quarter/year), and filters.
curl --request POST \
--url https://api.supersonic.cv/analytics/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"object_type": "<string>",
"metrics": [
{
"field": "<string>"
}
],
"filters": {},
"group_by": "<string>",
"time_field": "<string>",
"time_range": {
"from": "<string>",
"to": "<string>"
}
}
'import requests
url = "https://api.supersonic.cv/analytics/records"
payload = {
"object_type": "<string>",
"metrics": [{ "field": "<string>" }],
"filters": {},
"group_by": "<string>",
"time_field": "<string>",
"time_range": {
"from": "<string>",
"to": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
object_type: '<string>',
metrics: [{field: '<string>'}],
filters: {},
group_by: '<string>',
time_field: '<string>',
time_range: {from: '<string>', to: '<string>'}
})
};
fetch('https://api.supersonic.cv/analytics/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Analytics
analytics.records
POST
/
analytics
/
records
Aggregate records by ObjectType. Supports sum/avg/min/max/count on JSONB fields, group_by, time bucketing (day/week/month/quarter/year), and filters.
Authorizations
API key: supersonic_live_...
Body
application/json
ObjectType slug to aggregate
Aggregation metrics
Show child attributes
Show child attributes
Field filters (field__op: value)
Field slug to group by
Date field slug for time filtering
Show child attributes
Show child attributes
Available options:
day, week, month, quarter, year Response
Success
The response is of type object.
⌘I